export interface IPointData {
    x: number;
    y: number;
}
export declare class Point {
    readonly x: number;
    readonly y: number;
    constructor(x?: number, y?: number);
    addition(addend: Point): Point;
    subtract(term: Point): Point;
    divide(divisor: Point): Point;
    multiply(term: Point): Point;
    toJSON(): IPointData;
    static fromJSON(data: any): Point;
}
